jQuery(document).ready(function ($) {
    $('#sendovertracking').unbind().bind('submit', function () {
        $('#sendovertracking').hide();
        $('#resultovertracking').html('<center><img src="' + imgloader + '"></center>');
        $('#submitbtn').hide();
        var datastring = new FormData($(this)[0]);
        $.ajax({
            type: "POST",
            url: $(this).attr('action'),
            data: datastring,
            dataType: "json",
            success: function (data) {
                if (data.result === true)
                {
                    $('#resultovertracking').hide();
                    $('#resultovertrackingsuccess').html('<div class="noticeovt-success" style="padding: 10px;">' + data.text + '</div>');
                    $('#linenoevents').hide();
                    $('#eventsbody').append(data.line);
                    setTimeout(function () {
                        $('#resultovertrackingsuccess').html('');
                        $('#resultovertracking').html('');
                        $('#sendovertracking')[0].reset();
                        $('#sendovertracking').show();
                        $('#submitbtn').show();
                    }, 3000);
                } else
                {
                    $('#resultovertrackingsuccess').html('');
                    $('#resultovertracking').html('<div class="noticeovt-error" style="padding: 10px;">' + data.text + '</div>');
                    $('#sendovertracking').show();
                    $('#submitbtn').show();
                }
            },
            cache: false,
            contentType: false,
            processData: false
        });
        return false;
    });

    $('#senddeleteovertracking').unbind().bind('submit', function () {
        $('#senddeleteovertracking').hide();
        $('#resultdeleteovertracking').html('<center><img src="' + imgloader + '"></center>');
        $('#submitbtn').hide();
        var datastring = new FormData($(this)[0]);
        var type = $('input[name=type]').val();
        var key = $('input[name=key]').val();
        $.ajax({
            type: "POST",
            url: $(this).attr('action'),
            data: datastring,
            dataType: "json",
            success: function (data) {
                if (data.result === true)
                {
                    $('#resultdeleteovertracking').hide();
                    $('#resultdeleteovertrackingsuccess').html('<div class="noticeovt-success" style="padding: 10px;">' + data.text + '</div>');
                    $('#line-' + type + '-' + key).hide();
                    setTimeout(function () {
                        $('#resultdeleteovertracking').html('');
                        $('#resultdeleteovertrackingsuccess').html('');
                        $('#senddeleteovertracking').show();
                        $('#submitbtn').show();
                        $('#TB_overlay').remove();
                        $('#TB_window').fadeOut();
                    }, 3000);
                } else
                {
                    $('#resultdeleteovertrackingsuccess').html('');
                    $('#resultdeleteovertracking').html('<div class="noticeovt-error" style="padding: 10px;">' + data.text + '</div>');
                    $('#senddeleteovertracking').show();
                    $('#submitbtn').show();
                }
            },
            cache: false,
            contentType: false,
            processData: false
        });
        return false;
    });
    $('.deleteevnt').on('click', function () {
        $('#deletetype').val($(this).attr('data-type'));
        $('#deletekey').val($(this).attr('data-key'));
    });
    $('#addevent').on('click', function () {
        $('#addevent').hide(1000);
        $('#addeventbox').show(1000);
    });

    $('#closeaddevent').on('click', function () {
        $('#addeventbox').hide(1000);
        $('#addevent').show(1000);
    });
    $('#editpixel').on('click', function () {
        $('#editpixel').hide(1000);
        $('#actualpixel').hide(1000);
        $('#editpixelbox').show(1000);
    });
    $('#canceleditpixel').on('click', function () {
        $('#editpixelbox').hide(1000);
        $('#editpixel').show(1000);
        $('#actualpixel').show(1000);
    });


});