<div class="wrap">
    <div class="overtracking-box">
        <img class="logo"  src="<?php echo LOGO_OVT; ?>" width="180"/>
        <?php
        if (isset($msg) && count($msg) > 0) {
            ?>
            <div id="resultovertrackingsuccess">
                <div class="notice <?php echo $msg['type']; ?>" >
                    <p><?php echo $msg['text']; ?></p>

                </div>

            </div>
            <?php
        }
        ?>

        <div id="post-body" class="metabox-holder">
            <h2 ><?php _e('Events', 'overtracking'); ?> <a class="overtracking-button-add" id="addevent"><span class="dashicons dashicons-plus"></span> <?php _e('Add event', 'overtracking'); ?></a></h2>
            <hr/>
            <div id="addeventbox" style="display:none;">
                <form  action="<?php echo admin_url("admin-ajax.php"); ?>" method="post" id="sendovertracking">
                    <?php
                    wp_nonce_field('createventovertracking');
                    ?>
                    <input type="hidden" name="action" value="validateformcreateovertracking" style="display: none; visibility: hidden; opacity: 0;">
                    <div id="eventbox">
                        <div><p>
                                <strong><?php _e('Event', 'overtracking'); ?>  *</strong><br />
                                <select class="form-item" name="event_type" required  >
                                    <option value="" selected><?php _e("Select one option", 'overtracking'); ?></option>
                                    <?php
                                    $convertevents = [];
                                    foreach ($events as $event => $name) {
                                        $convertevents[$event] = __($name, 'overtracking');
                                    }
                                    asort($convertevents);
                                    foreach ($convertevents as $event => $name) {
                                        ?>
                                        <option value="<?php echo $event; ?>"><?php echo __($name, 'overtracking'); ?></option>
                                        <?php
                                    }
                                    ?>
                                </select> 
                            </p></div>
                        <div><p>
                                <strong><?php _e('Key', 'overtracking'); ?>  *</strong>
                                <input type="text" name="event_key" autocomplete="off" required style="width:100%" >
                            </p></div>
                        <div><p>
                                <strong><?php _e('Add value', 'overtracking'); ?>  *</strong><br />
                                <select class="form-item" name="event_value"  required >
                                    <option value="no" selected><?php _e("No", 'overtracking'); ?></option>
                                    <option value="yes"><?php _e("Yes", 'overtracking'); ?></option>
                                </select> 
                            </p></div>
                    </div>
                    <div id="resultovertracking">
                    </div>
                    <p class="text-center"><button type="submit" id="submitbtn" class="overtracking-button"><span class="dashicons dashicons-plus"></span> <?php _e('Add event', 'overtracking'); ?></button>
                        <button type="button" class="overtracking-button-cancel" id="closeaddevent"><span class="dashicons dashicons-no"></span> <?php _e('Cancel ', 'overtracking'); ?></button></p>
                </form>
                <div id="resultovertrackingsuccess">
                </div>
            </div>
            <br/>
            <table class="wp-list-table widefat fixed table-view-list striped  posts tableovertracking">
                <thead>
                    <tr>

                        <th class="manage-column column-title column-primary" width="25%"><?php _e('Event', 'overtracking'); ?></th>
                        <th class="manage-column column-title column-primary"><?php _e('Key', 'overtracking'); ?></th>
                        <th class="manage-column column-title column-primary"><?php _e('Add value', 'overtracking'); ?></th>
                        <th width="180" class="manage-column column-title column-primary"></th>
                </thead>
                <tbody id="eventsbody">
                    <?php
                    if (isset($overtrackingconfig['events'])) {
                        $totalevents = 0;
                        foreach ($events as $event => $name) {
                            if (isset($overtrackingconfig['events'][$event])) {
                                foreach ($overtrackingconfig['events'][$event] as $key => $eventline) {
                                    ?>
                                    <tr id="line-<?php echo $event; ?>-<?php echo $key; ?>">
                                        <td><?php echo __($name, 'overtracking'); ?></td>
                                        <td><?php echo $eventline['key']; ?></td>
                                        <td><?php echo ($eventline['value'] == 'yes') ? __('Yes', 'overtracking') : __('No', 'overtracking'); ?></td>
                                        <td>  
                                            <a  href="#TB_inline?width=600&height=200&inlineId=delete-modal" class="thickbox btn-danger deleteevnt" data-type="<?php echo $event; ?>" data-key="<?php echo $key; ?>" name="<?php _e('Delete event', 'overtracking'); ?>"> <span class="dashicons dashicons-trash"></span></a>
                                         </td>
                                    </tr>
                                    <?php
                                    $totalevents++;
                                }
                            }
                        }
                        if ($totalevents == 0) {
                            ?>
                            <tr id="linenoevents">
                                <td align="center" colspan="4"><?php _e('No events found', 'wpshortube'); ?></td>
                            </tr>
                            <?php
                        }
                    } else {
                        ?>
                        <tr id="linenoevents">
                            <td align="center" colspan="4"><?php _e('No events found', 'wpshortube'); ?></td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
                </tbody>
            </table>
            <h2 ><?php _e('Your tracking ID', 'overtracking'); ?> <span class="dashicons dashicons-edit pointer" id="editpixel"></span></h2>
            <p id="actualpixel">
                <code><?php echo stripcslashes($overtrackingconfig['overtrackingcode']); ?></code>
            </p>
            <div id="editpixelbox" style="display:none;">
                <form  action="" method="post">

                    <div class="noticeovt-success"><?php _e('You can insert your script tag, URL o ID of pixel.', 'overtracking'); ?></div>
                    <p>
                        <input name="overtrackingcode"  type="text" value="<?php echo stripcslashes($overtrackingconfig['overtrackingcode']); ?>" required class="w-100" autocomplete="off"  />
                    </p>
                    <p class="text-center">
                        <button type="submit" class="overtracking-button"><span class="dashicons dashicons-saved"></span> <?php _e('Save', 'overtracking'); ?></button>
                        <button type="button" class="overtracking-button-cancel" id="canceleditpixel"><span class="dashicons dashicons-no"></span> <?php _e('Cancel ', 'overtracking'); ?></button></p>
                    </p>
                </form>
            </div>
        </div>
    </div>
</div>
<?php add_thickbox(); ?>


<div id="delete-modal" style="display:none;">
    <form  action="<?php echo admin_url("admin-ajax.php"); ?>" method="post" id="senddeleteovertracking">
        <?php
        wp_nonce_field('deleteeventovertracking');
        ?>
        <input type="hidden" name="action" value="validateformdeleteovertracking">
        <input type="hidden" name="type" id="deletetype" value="">
        <input type="hidden" name="key" id="deletekey" value="">
        <h2 class="hndle text-center"><span><?php _e('Are you sure to delete this event?', 'overtracking'); ?></span></h2>
        <p class="text-center">
            <button type="submit"  class="overtracking-button"><span class="dashicons dashicons-saved"></span> <?php _e('Yes', 'overtracking'); ?></button>
        </p>
        <div id="resultdeleteovertracking"></div>
    </form>
    <div id="resultdeleteovertrackingsuccess">
    </div>
</p>

</div>

<script>
    var imgloader = '<?php echo FILE_OVT_URL . "/assets/images/loading-gif.gif"; ?>';
</script>